Subject: Re: index and # of tuples

From: [email-masked] (Paul M. Aoki)
Date: Thu, 24 Mar 94 20:11:26 -0800

[email-masked] (Paul M. Aoki) writes:
> if you don't vacuum regularly, the optimizer has no statistics and 
> all plans cost the same.  you get random plans.

let me restate that.  if you don't vacuum *at all* you have no 
statistics and get random plans.  if you don't vacuum *regularly*,
you have out-of-date statistics and the optimizer will make 
decisions based on bad assumptions rather than completely random 
ones.
--
  Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
                |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki